OpenTTD Source: Data Fields - Variables

OpenTTD Source 15.0-beta1

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - a -

- a : Blitter_32bppSimple::Pixel, DiagonalTileArea, SpriteLoader::CommonPixel
- a_cur : DiagonalTileIterator
- a_max : DiagonalTileIterator
- abbrev : CargoSpec
- abort : GenWorldInfo
- abortp : GenWorldInfo
- absolute : NWidgetResizeBase
- abstract_filetype : ConsoleFileList
- abstract_ftype : FileToSaveLoad
- acc_duration : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- acc_timestamp : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- acceleration : ShipVehicleInfo, Vehicle
- acceleration_type : RailTypeInfo
- acceptance : IndustryTileSpec, NewsSettings
- accepted : Industry
- accepted_cargo_filter_criteria : IndustryDirectoryWindow
- accepts_cargo : HouseSpec, IndustrySpec, IndustryTileSpec
- accepts_cargo_label : HouseSpec, IndustrySpec, IndustryTileSpec
- accepts_lines : StationViewWindow
- ACCEPTS_LINES : StationViewWindow
- accident : NewsSettings
- accident_other : NewsSettings
- accuracy : DemandCalculator, LinkGraphSettings
- acs : NWidgetNewGRFDisplay
- act5_type : SpriteAlignerWindow
- action : SaveLoadParams
- action14present : NewGRFParametersWindow
- ACTION_CLEAR : QueryString
- action_counts : VehicleCargoList
- ACTION_DESELECT : QueryString
- ACTION_NOTHING : QueryString
- active : NewGRFProfiler
- active_button_id : StoryBookWindow
- active_over : NewGRFWindow
- active_playlist : MusicSystem
- active_sel : NewGRFWindow
- actives : NewGRFWindow
- add_accepted_cargo_proc : TileTypeProcs
- add_output : IndustryProductionSpriteGroup
- add_produced_cargo_proc : TileTypeProcs
- address : NetworkAddress, ServerNetworkAdminSocketHandler
- address_length : NetworkAddress
- address_proc : SaveLoad
- addresses : TCPConnecter
- admin_authorized_keys : NetworkSettings
- admin_name : NetworkAdminSocketHandler
- admin_password : NetworkSettings
- admin_version : NetworkAdminSocketHandler
- advance : ICURun
- advanced : SelectCompanyManagerFaceWindow
- advanced_vehicle_list : GUISettings
- advice : NewsSettings
- afilter : Textbuf
- age : Engine, NewsTypeData, Vehicle
- ai : GameSettings, NetworkCompanyStats, TCPConnecter
- ai_callback : GenericScopeResolver
- ai_config : GameSettings
- ai_developer_tools : GUISettings
- ai_disable_veh_aircraft : AISettings
- ai_disable_veh_roadveh : AISettings
- ai_disable_veh_ship : AISettings
- ai_disable_veh_train : AISettings
- ai_in_multiplayer : AISettings
- ai_passenger_only : RailVehicleInfo
- air_drag : RailVehicleInfo, RoadVehicleInfo
- airport : CompanyInfrastructure, Station
- airport_class : TileDesc
- airport_flag : MovementTerminalMapping
- airport_id : AirportTileScopeResolver
- airport_name : TileDesc
- airport_scope : AirportTileResolverObject
- airport_tile_name : TileDesc
- align : NWidgetCore, NWidgetPart::NWidgetPartUnion, NWidgetPartAlignment
- align_h : IntroGameViewportCommand
- align_v : IntroGameViewportCommand
- all_capacities : TestedEngineDetails
- alloc_cache : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- allocated_size : ScriptAllocator
- allocation_limit : ScriptAllocator
- allocator : Squirrel
- allow_do_command : ScriptStorage
- allow_insecure_admin_login : NetworkSettings
- allow_list : CompanyProperties
- allow_merge : LinkRefresher
- allow_town_level_crossings : EconomySettings
- allow_town_roads : EconomySettings
- ALLOWED_DRIFT : VideoDriver
- alternate_labels : RailTypeInfo, RoadTypeInfo
- always_accepted : Station
- ambient : SoundSettings
- amount : CargoSummaryItem, OldChunks
- amount_fract : GoodsEntry
- amount_of_rivers : GameCreationSettings
- anim_alloc : Blitter_32bppAnim
- anim_buf : Blitter_32bppAnim
- anim_buf_height : Blitter_32bppAnim
- anim_buf_pitch : Blitter_32bppAnim
- anim_buf_width : Blitter_32bppAnim
- anim_buffer : OpenGLBackend, VideoDriver_CocoaOpenGL, VideoDriver_SDL_OpenGL
- anim_next : IndustryTileSpec
- anim_pbo : OpenGLBackend
- anim_production : IndustryTileSpec
- anim_state : IndustryTileSpec
- anim_texture : OpenGLBackend
- animate_cur : CursorVars
- animate_list : CursorVars
- animate_timeout : CursorVars
- animation : AirportTileSpec, HouseSpec, IndustryTileSpec, ObjectSpec
- animation_special_flags : AirportTileSpec
- animation_state : EffectVehicle
- animation_substate : EffectVehicle
- api_version : AIInfo, GameInfo
- APIName : Squirrel
- appear_creation : IndustrySpec
- appear_ingame : IndustrySpec
- area : ClearedObjectArea, SelectStationWindow< T >
- arguments : GetOptData
- array : CargoSpec
- arrival : TimetableArrivalDeparture
- arrival_other : NewsSettings
- arrival_player : NewsSettings
- ascender : FontCache
- aspect : NWidgetPart::NWidgetPartUnion
- aspect_flags : NWidgetBase
- aspect_ratio : NWidgetBase
- async_mode : ScriptStorage
- async_mode_instance : ScriptStorage
- at : LoggedAction
- att : AirportTileTableIterator
- authentication_handler : ClientNetworkGameSocketHandler, ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- author : ScriptInfo
- authorized_key_handler : X25519AuthorizedKeyServerHandler
- authorized_keys : NetworkAuthenticationDefaultAuthorizedKeyHandler
- auto_euro : GUISettings
- auto_rail : RailTypeInfo
- auto_refit : RefitWindow
- auto_remove_signals : GUISettings
- auto_road : RoadTypeInfo
- auto_scrolling : GUISettings
- auto_select : NetworkContentListWindow
- autoclean_companies : NetworkSettings
- autoclean_novehicles : NetworkSettings
- autoclean_protected : NetworkSettings
- autorail : RailTypeInfo
- autoreplace_defined : GroupStatistics
- autoreplace_finished : GroupStatistics
- autoroad : RoadTypeInfo
- autosave_interval : GUISettings
- autosave_on_exit : GUISettings
- autosave_on_network_disconnect : GUISettings
- autoscroll : ScriptDebugWindow
- autoslope : ConstructionSettings
- avail_pos : NewGRFWindow
- avail_railtypes : Company
- avail_roadtypes : Company
- avail_sel : NewGRFWindow
- avail_year : BridgeSpec
- available_actions : TownAuthorityWindow
- available_sets : BaseMedia< Tbase_set >
- avails : NewGRFWindow
- avs : NWidgetNewGRFDisplay
- awarded : Subsidy
- axis : StationPickerSelection, StationScopeResolver